AI Sync

AI Call History

Get Call History

GEThttps://app.rizzdial.com/api/ai/call-history/{id}
Get Call History
curl --request GET \
  --url https://app.rizzdial.com/api/ai/call-history/ODg= \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "ODg=",
    "agent_name": "Outbound",
    "call_summary": "Caller booked a follow-up.",
    "call_transcript": "Hi, I would like to book...",
    "recording_available": true
  },
  "success": true
}

Get Call History#

One call including full summary and transcript. Recording playback is GET /api/ai/recordings/{id} when recording_available is true.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 call id from List Call History

curl --request GET \
  --url https://app.rizzdial.com/api/ai/call-history/ODg= \
  --header 'Authorization: Bearer {{bearer_token}}'
dataobject

List fields plus full call_summary, call_transcript, and voicemail_detected